﻿using Steema.TeeChart.Styles;
using System;
using System.Collections.Generic;
using System.Windows;

namespace WpfAppColorGrid
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();

      Dictionary<int, string> labelsLeft = new();
      Dictionary<int, string> labelsBottom = new();
      ColorGrid series = new(tChart1.Chart)
      {
        IrregularGrid = false
      };

      int nx = 11;
      int nz = 21;
      double dx = 2.0 / (nx - 1);
      double dz = 2.0 / (nz - 1);

      int k = 0;
      for (int i = 0; i < nx; i++)
      {
        double x = -1.0 + i * dx;

        for (int j = 0; j < nz; j++)
        {
          double z = -1.0 + j * dz;
          //series.Add(x, Math.Sin(k / (double)(nx * nz) * Math.PI * 2) * Height, z);
          series.Add(i, Math.Sin(k / (double)(nx * nz) * Math.PI * 2) * Height, j);


          if (!labelsBottom.ContainsKey(i))
          {
            labelsBottom.Add(i, x.ToString("0.0"));
          }

          if (!labelsLeft.ContainsKey(j))
          {
            labelsLeft.Add(j, z.ToString("0.0"));
          }
          k++;
        }
      }

      foreach (KeyValuePair<int, string> item in labelsBottom)
      {
        tChart1.Axes.Bottom.Labels.Items.Add(item.Key, item.Value);
      }

      foreach (KeyValuePair<int, string> item in labelsLeft)
      {
        tChart1.Axes.Left.Labels.Items.Add(item.Key, item.Value);
      }
    }
  }
}
